UNIPOWERD(8)

NAME
genpowerd - UPS monitor daemon

SYNOPSIS
/sbin/genpowerd [ -k ] [ -c configfile ] [ -d upsport ] [ -r rcpowerfail ] [ -s upsstat ] [ -t upstype ]

DESCRIPTION
Genpowerd monitors the serial port connected to an UPS device and will perform an unattended shutdown of the system if the UPS is on battery longer than a specified number of minutes. Genpowerd needs to watch a tty with modem control properties, and [wiring details to be added.] Please refer to the genpowerd documentation for further information.

ARGUMENTS

configfile
    Path to the configuration file genpowerd.conf . This file contains UPS type definitions, and may also containts default parameter assignments.

upsport
    Some serial port that is not being used by some other device, and does not share an interrupt with any other serial port.

rcpowerfail
    Path to the rc.powerfail script, which is executed when a power event occurs. The name of the event is passed as the only command line argument to the script, and also written to the upsstat file.

upsstat
    Path to the upsstat file, where the name of the current power event is written.

upstype
    A text string identifying the UPS and cable combination that genpowerd is to monitor. If genpowerd is envoked without any arguments, a list of available configurations will be displaied.

OPTIONS
genpowerd has the following command line options:

-k  Causes genpowerd to send the signal to kill the UPS's inverter. This signal is configured at compile time in the genpowerd.h header file, and selected by the UPS/cable configuration selected at runtime.

ENVIRONMENT VARIABLES
Unipowerd does not use environment variables.

FILES
genpowerd.conf    configuration file
upsstat    indicates UPS battery status
rc.powerfail    script to manage power failures
powerstatus    indicates line power status (Linux only)

BUGS
Well, not a real bug but genpowerd should be able to do a broadcast or something on the ethernet in case more Linux-boxes are connected to the same UPS and only one of them is connected to the UPS status line.

SEE ALSO
shutdown(8), wall(1), init(8), inttab(5).

AUTHOR
Tom Webster <webster@kaiwan.com> (with parts of this man page pirated from all over the Linux community)